<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number44</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.44:</b> Write a JavaScript program to check from three given integers that if a number is greater than or equal to 20 and less than one of the others.  </p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="number" id="num1" placeholder="Enter First Number"><br>
	  <input type="number" id="num2" placeholder="Enter Second Number" style="margin-top: 5px;"><br>
	  <input type="number" id="num3" placeholder="Enter Third Number" style="margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	 function generate(){
		  var a = + document.getElementById('num1').value;
		  var b = + document.getElementById('num2').value;
		  var c = + document.getElementById('num3').value;
		 
		 if (a >= 20 && (a < b || a < c)) {
				 document.getElementById('demo').innerHTML=
					 Boolean(1);   
		 } else if ( b >= 20 &&  (b < a || b < c )) {
				 document.getElementById('demo').innerHTML=
					 Boolean(1);
			  
		 } else if ( c >= 20 &&  ( c < a || c < b )) {
			 if ( c < a || c < b ) {
				 document.getElementById('demo').innerHTML=
					 Boolean(1)
			 }
		 } else {
			 document.getElementById('demo').innerHTML=
					 Boolean(0)
		 }
	 }
	
	</script>
	
</body>
</html>
